<?php
/*-------------------------------------------------------+
| Pipworx Theme for PHP-Fusion v7.00+
| by HobbyMan
| Web: http://php-fusion.hobbysites.net/
|--------------------------------------------------------+
| Released under GNU Affero GPL v3 - included
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_WIDTH", "100%");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' style='border:0' />");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;
	
	//Header
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	echo "<td class='pipe-ctl'></td><td colspan='2' class='pipe-tt'></td><td class='pipe-ctr'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='pipe-sl'></td>";
	echo "<td colspan='2' class='full-header'>\n".showbanners()."</td>\n";
	echo "<td class='pipe-sr'></td>";
	echo "</tr>\n<tr>\n";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header'><div id='hdr-menu'><div id='menu'>".showsublinks(" ")."\n";
	echo "</div></div></td>";
	echo "<td align='right' class='sub-header'>".showsubdate()."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='pipe-sl'></td>";
	echo "<td colspan='2'>";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='$main_style'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";
	
	//End pipes
	echo "</td><td class='pipe-sr'></td>\n";
	echo "</tr><tr>";
	echo "<td class='pipe-cbl'></td><td colspan='2' class='pipe-tb'></td><td class='pipe-cbr'></td>\n";
	echo "</tr>\n</table>\n";
	
	//Footer pipes
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class='footer-tl'></td><td class='footer-tc'></td><td class='footer-tr'></td>\n";
	echo "</tr><tr>\n";
	echo "<td class='footer-sl'></td>";
	echo "<td class='main-footer'>";
	
	//Inner footer
	echo "<table cellpadding='0' cellspacing='0' width='90%' align='center'>\n<tr>\n";
	echo "<td colspan='2' align='center'>".stripslashes($settings['footer'])."<br /><br /></td>";
	echo "</tr>\n<tr>\n";
	echo "<td align='left'>".sprintf($locale['global_172'], substr((get_microtime() - START_TIME),0,4))."</td>\n";
	echo "<td align='right'>".showcounter()."</td>";
	echo "</tr>\n<tr>\n";
	echo "<td align='left'>";
	if (!$license) { echo "<br /><br />\n".showcopyright(); }
	echo "</td>\n";
	echo "<td align='right' valign='bottom'>Pipeworx theme by <a target='_blank' href='http://php-fusion.hobbysites.net' title='HobbySites.net'>HobbyMan</a></td>";
	echo "</tr>\n</table>\n";
	
	// Footer pipes
	echo "</td><td class='footer-sr'></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' align='center'>\n<tr>\n";
	echo "<td class='footer-bl'></td><td class='footer-bc'></td><td class='logo'>&nbsp;</td><td class='footer-br'></td>\n";
	echo "</tr>\n</table>\n";
}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capb-l'></td>\n";
	echo "<td class='capb'></td>\n";
	echo "<td class='capb-r'></td>\n";
	echo "</tr>\n</table>\n";
}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "<td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td><td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capb-l'></td>\n";
	echo "<td class='capb'></td>\n";
	echo "<td class='capb-r'></td>\n";
	echo "</tr>\n</table>\n";
}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'>".$title."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td class='main-body'>\n";
}

function closetable() {

	echo "</td>\n";
	echo "<td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capb-l'></td>\n";
	echo "<td class='capb'></td>\n";
	echo "<td class='capb-r'></td>\n";
	echo "</tr>\n</table>\n";
}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class='scapmain-left'></td>\n";
	echo "<td class='scapmain'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='scapmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%' class='spacer'>\n<tr>\n";
	echo "<td class='side-outer-left'></td>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "<td class='side-outer-right'></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td class='capb-l'></td>\n";
	echo "<td class='capb'></td>\n";
	echo "<td class='capb-r'></td>\n";
	echo "</tr>\n</table>\n";
}
?>